Foreman - Bug #15308

editing puppet class parameter with arrays and hashes fails when not overriding

06/06/2016 10:03 AM - Ohad Levy

Status: Closed
Priority: Normal
Assignee: Ori Rabin
Category: Parameters
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1343378 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3573
Description

steps to reproduce:

a puppet class with either hash or array parameters, that override is false.

try to save:

always get an error message - "
"Override must be true to edit the parameter”

Related issues:

Related to Foreman - Bug #13727: Error not raised while setting default value... Closed

02/16/2016

Associated revisions

Revision 85c9be5a - 06/30/2016 04:21 AM - Ori Rabin

Fixes #15308 - Override validation doesn't run without changes

Revision 2ecf3ff9 - 07/01/2016 08:12 AM - Ori Rabin

Fixes #15308 - Override validation doesn't run without changes

(cherry picked from commit 85c9be5abed9b593214cf3bc9de2f29960a2a25a)

History

#1 - 06/06/2016 10:08 AM -

- Related to Bug #13727: Error not raised while setting default value when 'Override’ set to False for parameter. added

#2 - 06/06/2016 10:09 AM -

Dominic Cleal

Dominic Cleal

- Category set to Parameters

- translation missing: en.field_release set to 136

#3 - 06/06/2016 10:12 AM -

Ori Rabin

- Status changed from New to Assigned

- Assignee set to Ori Rabin

#4 - 06/06/2016 02:22 PM -

The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3573 added

#5 - 06/07/2016 04:53 AM -

Tomer Brisker

- Bugzilla link set to 1343378
#6 - 06/07/2016 07:46 AM - Tomer Brisker

note: this bug also prevents saving any smart class parameter without changes when viewing from the smart class parameter edit form.

#7 - 06/07/2016 07:49 AM - Tomer Brisker

This fails in the class view only for array/hash values with inactive matchers, since the lookup value is changed (this is before it is parsed back into a

ruby object - so it changes from object to string), causing the nested attribute to have nested_records_changed_for_autosave? set to true, and thus
running the validation on it.

#8 - 06/30/2016 05:02 AM - Ori Rabin
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 85c9be5a6ed9b593214cf3bc9de2f29960a2a25a.
